POLY(1)

NAME
polyimport - the Poly/ML import program

SYNOPSIS
polyimport importfile

DESCRIPTION
polyimport reads in a Poly/ML import file and runs it. Import files are generated using the PolyML.exportPortable function.

OPTIONS
-H size Sets the initial heap size. The size may be written as a number optionally followed by K, M or G representing kilobytes, megabytes or gigabytes. If none of these is given the number is taken as megabytes.

--minheap size
    Set the minimum heap size. The heap will not shrink below this value.

--maxheap size
    Set the maximum heap size. The heap will not grow above this value.

--gcpercent percent
    Set the target percentage of time that the code should spend in the garbage collector. The heap sizer will attempt to set the heap size to achieve this target consistent with the minimum and maximum heap sizes given by the arguments and also consistent with keeping paging under control.

--gcthreads threads
    Sets the number of threads used in the parallel garbage collector. Setting this to 1 forces the garbage collector to be single-threaded. The value 0, the default, is taken to be the number of processors (cores) available.

--debug options
    Set various debugging options for the run-time system.

SEE ALSO

http://www.polyml.org The Poly/ML web site.